/**
 * @file status.h Operation status API
 * 
 * $Id: status.h,v 1.2 2001/06/04 06:47:32 chipx86 Exp $
 *
 * @Copyright (C) 1999-2001 The GNUpdate Project.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */
#ifndef _LIBCOMPREX_STATUS_H_
#define _LIBCOMPREX_STATUS_H_

#ifdef __cplusplus
extern "C" {
#endif

typedef enum _CxStatus CxStatus;  /**< A status result. */

/**
 * A status result.
 */
enum _CxStatus
{
	CX_SUCCESS,          /**< Operation completed successfully. */
	CX_INVALID_FORMAT,   /**< Invalid file format.              */
	CX_ERROR,            /**< Fatal error.                      */
	CX_FILE_NOT_FOUND    /**< File not found.                   */

};

#ifdef __cplusplus
}
#endif

#endif /* _LIBCOMPREX_STATUS_H_ */

