/**
 * @file utils.h Utility functions
 * 
 * $Id: utils.h,v 1.3 2001/06/21 06:22:33 chipx86 Exp $
 *
 * @Copyright (C) 1999-2001 The GNUpdate Project.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */
#ifndef _LIBCOMPREX_UTILS_H_
#define _LIBCOMPREX_UTILS_H_

#ifdef __cplusplus
extern "C" {
#endif

#include <libcomprex/fileio.h>

/*
 * NOTE: These functions are not for creating files! They are for
 *       working with the API's structures only!
 */
CxFile *newCxFile(CxFileBatch *batch);
void freeCxFile(CxFile *file);

CxFileBatch *newCxFileBatch(const char *filename);
void freeCxFileBatch(CxFileBatch *batch);

char *cxGetBaseName(const char *filename);
char *cxGetBasePath(const char *filename);

/* TODO: Perhaps this should be moved? */
void cxCleanup();

#ifdef __cplusplus
}
#endif

#endif /* _LIBCOMPREX_UTILS_H_ */

